---

# 2.16 Ensure noexec option set on /run/shm partition

- name: 2.16 - Ensure noexec option set on /run/shm partition
  mount:
    name: "{{ item.mount }}"
    state: mounted
    fstype: "{{ item.fstype }}"
    src: "{{ item.device }}"
    opts: "{{ item.options.split(',') | union(['noexec']) | join(',') }}"
  when: item.mount == '/run/shm'
  with_items: "{{ ansible_mounts }}"
  tags:
    - level-1
    - section-2
    - "2.16"
    - scored
